CREATE TABLE doo_performance_metrics (
    PERFORMANCE_METRIC_ID           NUMBER(18, 0),
    DOCUMENT_CONTEXT_ID             NUMBER(18, 0)    NOT NULL,
    DOCUMENT_CONTEXT_TYPE           VARCHAR2(120),
    MODULE_NAME                     VARCHAR2(320),
    MODULE_CONTEXT                  VARCHAR2(320),
    MODULE_LEVEL                    VARCHAR2(320),
    EXTENSION_ID                    NUMBER(18, 0),
    ELAPSED_TIME_IN_MILLISECONDS    NUMBER(10, 0)    NOT NULL,
    ECID                            VARCHAR2(320)    NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    DELETE_FLAG                     VARCHAR2(4)      NOT NULL,
    PERFORMANCE_METRIC_ID           NUMBER(18, 0),
    DOCUMENT_CONTEXT_ID             NUMBER(18, 0)    NOT NULL,
    DOCUMENT_CONTEXT_TYPE           VARCHAR2(120),
    MODULE_NAME                     VARCHAR2(320),
    MODULE_CONTEXT                  VARCHAR2(320),
    MODULE_LEVEL                    VARCHAR2(320),
    EXTENSION_ID                    NUMBER(18, 0),
    ELAPSED_TIME_IN_MILLISECONDS    NUMBER(10, 0)    NOT NULL,
    ECID                            VARCHAR2(320)    NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    DELETE_FLAG                     VARCHAR2(4)      NOT NULL,
    CONSTRAINT pk_doo_performance_metrics PRIMARY KEY (PERFORMANCE_METRIC_ID, PERFORMANCE_METRIC_ID)
);
